CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

cppcms::session_api Member List

This is the complete list of members for cppcms::session_api, including all inherited members.

clear(session_interface &iface)=0 | cppcms::session_api | pure virtual
is_blocking()=0 | cppcms::session_api | pure virtual
load(session_interface &iface, std::string &data, time_t &timeout)=0 | cppcms::session_api | pure virtual
noncopyable() (defined in booster::noncopyable) | booster::noncopyable | inline protected
save(session_interface &iface, std::string const &data, time_t timeout, bool new_data, bool on_server)=0 | cppcms::session_api | pure virtual
~noncopyable() (defined in booster::noncopyable) | booster::noncopyable | inline protected
~session_api() | cppcms::session_api | inline virtual